<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>War (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="War (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/bundling/Tar.html" title="class in org.gradle.api.tasks.bundling"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/tasks/bundling/Zip.html" title="class in org.gradle.api.tasks.bundling"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/bundling/War.html" target="_top">Frames</a></li>
<li><a href="War.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks.bundling</div>
<h2 title="Class War" class="title">Class War</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.ConventionTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html" title="class in org.gradle.api.tasks">org.gradle.api.tasks.AbstractCopyTask</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html" title="class in org.gradle.api.tasks.bundling">org.gradle.api.tasks.bundling.AbstractArchiveTask</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/tasks/bundling/Zip.html" title="class in org.gradle.api.tasks.bundling">org.gradle.api.tasks.bundling.Zip</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/jvm/tasks/Jar.html" title="class in org.gradle.jvm.tasks">org.gradle.jvm.tasks.Jar</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/tasks/bundling/Jar.html" title="class in org.gradle.api.tasks.bundling">org.gradle.api.tasks.bundling.Jar</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.tasks.bundling.War</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, <a href="../../../../../org/gradle/api/file/ContentFilterable.html" title="interface in org.gradle.api.file">ContentFilterable</a>, <a href="../../../../../org/gradle/api/file/CopyProcessingSpec.html" title="interface in org.gradle.api.file">CopyProcessingSpec</a>, <a href="../../../../../org/gradle/api/file/CopySourceSpec.html" title="interface in org.gradle.api.file">CopySourceSpec</a>, <a href="../../../../../org/gradle/api/file/CopySpec.html" title="interface in org.gradle.api.file">CopySpec</a>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.file.copy.CopySpecSource, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, <a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">War</span>
extends <a href="../../../../../org/gradle/api/tasks/bundling/Jar.html" title="class in org.gradle.api.tasks.bundling">Jar</a></pre>
<div class="block">Assembles a WAR archive.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/bundling/War.html#WAR_EXTENSION">WAR_EXTENSION</a></strong></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.jvm.tasks.Jar">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.gradle.jvm.tasks.<a href="../../../../../org/gradle/jvm/tasks/Jar.html" title="class in org.gradle.jvm.tasks">Jar</a></h3>
<code><a href="../../../../../org/gradle/jvm/tasks/Jar.html#DEFAULT_EXTENSION">DEFAULT_EXTENSION</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.tasks.bundling.Zip">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.gradle.api.tasks.bundling.<a href="../../../../../org/gradle/api/tasks/bundling/Zip.html" title="class in org.gradle.api.tasks.bundling">Zip</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/bundling/Zip.html#ZIP_EXTENSION">ZIP_EXTENSION</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/api/tasks/bundling/War.html#War()">War</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/bundling/War.html#classpath(java.lang.Object...)">classpath</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;classpath)</code>
<div class="block">Adds files to the classpath to include in the WAR archive.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/bundling/War.html#getClasspath()">getClasspath</a></strong>()</code>
<div class="block">Returns the classpath to include in the WAR archive.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/CopySpec.html" title="interface in org.gradle.api.file">CopySpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/bundling/War.html#getWebInf()">getWebInf</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/bundling/War.html#getWebXml()">getWebXml</a></strong>()</code>
<div class="block">Returns the <code>web.xml</code> file to include in the WAR archive.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/bundling/War.html#setClasspath(org.gradle.api.file.FileCollection)">setClasspath</a></strong>(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</code>
<div class="block">Sets the classpath to include in the WAR archive.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/bundling/War.html#setClasspath(java.lang.Object)">setClasspath</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;classpath)</code>
<div class="block">Sets the classpath to include in the WAR archive.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/bundling/War.html#setWebXml(java.io.File)">setWebXml</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;webXml)</code>
<div class="block">Sets the <code>web.xml</code> file to include in the WAR archive.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/CopySpec.html" title="interface in org.gradle.api.file">CopySpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/bundling/War.html#webInf(org.gradle.api.Action)">webInf</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/file/CopySpec.html" title="interface in org.gradle.api.file">CopySpec</a>&gt;&nbsp;configureAction)</code>
<div class="block">Adds some content to the <code>WEB-INF</code> directory for this WAR archive.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/CopySpec.html" title="interface in org.gradle.api.file">CopySpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/bundling/War.html#webInf(groovy.lang.Closure)">webInf</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</code>
<div class="block">Adds some content to the <code>WEB-INF</code> directory for this WAR archive.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.bundling.Jar">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.tasks.bundling.<a href="../../../../../org/gradle/api/tasks/bundling/Jar.html" title="class in org.gradle.api.tasks.bundling">Jar</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/bundling/Jar.html#manifest(groovy.lang.Closure)">manifest</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.jvm.tasks.Jar">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.jvm.tasks.<a href="../../../../../org/gradle/jvm/tasks/Jar.html" title="class in org.gradle.jvm.tasks">Jar</a></h3>
<code><a href="../../../../../org/gradle/jvm/tasks/Jar.html#getManifest()">getManifest</a>, <a href="../../../../../org/gradle/jvm/tasks/Jar.html#getManifestContentCharset()">getManifestContentCharset</a>, <a href="../../../../../org/gradle/jvm/tasks/Jar.html#getMetadataCharset()">getMetadataCharset</a>, <a href="../../../../../org/gradle/jvm/tasks/Jar.html#getMetaInf()">getMetaInf</a>, <a href="../../../../../org/gradle/jvm/tasks/Jar.html#manifest(org.gradle.api.Action)">manifest</a>, <a href="../../../../../org/gradle/jvm/tasks/Jar.html#metaInf(org.gradle.api.Action)">metaInf</a>, <a href="../../../../../org/gradle/jvm/tasks/Jar.html#metaInf(groovy.lang.Closure)">metaInf</a>, <a href="../../../../../org/gradle/jvm/tasks/Jar.html#setManifest(org.gradle.api.java.archives.Manifest)">setManifest</a>, <a href="../../../../../org/gradle/jvm/tasks/Jar.html#setManifestContentCharset(java.lang.String)">setManifestContentCharset</a>, <a href="../../../../../org/gradle/jvm/tasks/Jar.html#setMetadataCharset(java.lang.String)">setMetadataCharset</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.bundling.Zip">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.tasks.bundling.<a href="../../../../../org/gradle/api/tasks/bundling/Zip.html" title="class in org.gradle.api.tasks.bundling">Zip</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/bundling/Zip.html#createCopyAction()">createCopyAction</a>, <a href="../../../../../org/gradle/api/tasks/bundling/Zip.html#getCompressor()">getCompressor</a>, <a href="../../../../../org/gradle/api/tasks/bundling/Zip.html#getEntryCompression()">getEntryCompression</a>, <a href="../../../../../org/gradle/api/tasks/bundling/Zip.html#isZip64()">isZip64</a>, <a href="../../../../../org/gradle/api/tasks/bundling/Zip.html#setEntryCompression(org.gradle.api.tasks.bundling.ZipEntryCompression)">setEntryCompression</a>, <a href="../../../../../org/gradle/api/tasks/bundling/Zip.html#setZip64(boolean)">setZip64</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.bundling.AbstractArchiveTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.tasks.bundling.<a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html" title="class in org.gradle.api.tasks.bundling">AbstractArchiveTask</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#createCopyActionExecuter()">createCopyActionExecuter</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#getAppendix()">getAppendix</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#getArchiveName()">getArchiveName</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#getArchivePath()">getArchivePath</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#getBaseName()">getBaseName</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#getClassifier()">getClassifier</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#getDestinationDir()">getDestinationDir</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#getExtension()">getExtension</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#getVersion()">getVersion</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#into(java.lang.Object)">into</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#into(java.lang.Object,%20org.gradle.api.Action)">into</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#into(java.lang.Object,%20groovy.lang.Closure)">into</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#isPreserveFileTimestamps()">isPreserveFileTimestamps</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#isReproducibleFileOrder()">isReproducibleFileOrder</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#setAppendix(java.lang.String)">setAppendix</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#setArchiveName(java.lang.String)">setArchiveName</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#setBaseName(java.lang.String)">setBaseName</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#setClassifier(java.lang.String)">setClassifier</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#setDestinationDir(java.io.File)">setDestinationDir</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#setExtension(java.lang.String)">setExtension</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#setPreserveFileTimestamps(boolean)">setPreserveFileTimestamps</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#setReproducibleFileOrder(boolean)">setReproducibleFileOrder</a>, <a href="../../../../../org/gradle/api/tasks/bundling/AbstractArchiveTask.html#setVersion(java.lang.String)">setVersion</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.AbstractCopyTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.tasks.<a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html" title="class in org.gradle.api.tasks">AbstractCopyTask</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#copy()">copy</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#createRootSpec()">createRootSpec</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#eachFile(org.gradle.api.Action)">eachFile</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#eachFile(groovy.lang.Closure)">eachFile</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#exclude(groovy.lang.Closure)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#exclude(java.lang.Iterable)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#exclude(org.gradle.api.specs.Spec)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#exclude(java.lang.String...)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#expand(java.util.Map)">expand</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#filesMatching(java.lang.Iterable,%20org.gradle.api.Action)">filesMatching</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#filesMatching(java.lang.String,%20org.gradle.api.Action)">filesMatching</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#filesNotMatching(java.lang.Iterable,%20org.gradle.api.Action)">filesNotMatching</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#filesNotMatching(java.lang.String,%20org.gradle.api.Action)">filesNotMatching</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#filter(java.lang.Class)">filter</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#filter(groovy.lang.Closure)">filter</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#filter(java.util.Map,%20java.lang.Class)">filter</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#filter(org.gradle.api.Transformer)">filter</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#from(java.lang.Object...)">from</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#from(java.lang.Object,%20org.gradle.api.Action)">from</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#from(java.lang.Object,%20groovy.lang.Closure)">from</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#getDirectoryFileTreeFactory()">getDirectoryFileTreeFactory</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#getDirMode()">getDirMode</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#getDuplicatesStrategy()">getDuplicatesStrategy</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#getExcludes()">getExcludes</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#getFileLookup()">getFileLookup</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#getFileMode()">getFileMode</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#getFileResolver()">getFileResolver</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#getFileSystem()">getFileSystem</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#getFilteringCharset()">getFilteringCharset</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#getIncludeEmptyDirs()">getIncludeEmptyDirs</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#getIncludes()">getIncludes</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#getInstantiator()">getInstantiator</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#getMainSpec()">getMainSpec</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#getRootSpec()">getRootSpec</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#getSource()">getSource</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#include(groovy.lang.Closure)">include</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#include(java.lang.Iterable)">include</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#include(org.gradle.api.specs.Spec)">include</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#include(java.lang.String...)">include</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#isCaseSensitive()">isCaseSensitive</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#rename(groovy.lang.Closure)">rename</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#rename(java.util.regex.Pattern,%20java.lang.String)">rename</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#rename(java.lang.String,%20java.lang.String)">rename</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#rename(org.gradle.api.Transformer)">rename</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#setCaseSensitive(boolean)">setCaseSensitive</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#setDirMode(java.lang.Integer)">setDirMode</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#setDuplicatesStrategy(org.gradle.api.file.DuplicatesStrategy)">setDuplicatesStrategy</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#setExcludes(java.lang.Iterable)">setExcludes</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#setFileMode(java.lang.Integer)">setFileMode</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#setFilteringCharset(java.lang.String)">setFilteringCharset</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#setIncludeEmptyDirs(boolean)">setIncludeEmptyDirs</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#setIncludes(java.lang.Iterable)">setIncludes</a>, <a href="../../../../../org/gradle/api/tasks/AbstractCopyTask.html#with(org.gradle.api.file.CopySpec...)">with</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.ConventionTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.ConventionTask</h3>
<code>conventionMapping, conventionMapping, getConventionMapping</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="WAR_EXTENSION">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WAR_EXTENSION</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> WAR_EXTENSION</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#org.gradle.api.tasks.bundling.War.WAR_EXTENSION">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="War()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>War</h4>
<pre>public&nbsp;War()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getWebInf()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWebInf</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="../../../../../org/gradle/api/file/CopySpec.html" title="interface in org.gradle.api.file">CopySpec</a>&nbsp;getWebInf()</pre>
</li>
</ul>
<a name="webInf(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>webInf</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/file/CopySpec.html" title="interface in org.gradle.api.file">CopySpec</a>&nbsp;webInf(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</pre>
<div class="block">Adds some content to the <code>WEB-INF</code> directory for this WAR archive.

 <p>The given closure is executed to configure a <a href="../../../../../org/gradle/api/file/CopySpec.html" title="interface in org.gradle.api.file"><code>CopySpec</code></a>. The <code>CopySpec</code> is passed to the closure as its delegate.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configureClosure</code> - The closure to execute</dd>
<dt><span class="strong">Returns:</span></dt><dd>The newly created <code>CopySpec</code>.</dd></dl>
</li>
</ul>
<a name="webInf(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>webInf</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/file/CopySpec.html" title="interface in org.gradle.api.file">CopySpec</a>&nbsp;webInf(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/file/CopySpec.html" title="interface in org.gradle.api.file">CopySpec</a>&gt;&nbsp;configureAction)</pre>
<div class="block">Adds some content to the <code>WEB-INF</code> directory for this WAR archive.

 <p>The given action is executed to configure a <a href="../../../../../org/gradle/api/file/CopySpec.html" title="interface in org.gradle.api.file"><code>CopySpec</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configureAction</code> - The action to execute</dd>
<dt><span class="strong">Returns:</span></dt><dd>The newly created <code>CopySpec</code>.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="getClasspath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClasspath</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
<a href="../../../../../org/gradle/api/tasks/Classpath.html" title="annotation in org.gradle.api.tasks">@Classpath</a>
public&nbsp;<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getClasspath()</pre>
<div class="block">Returns the classpath to include in the WAR archive. Any JAR or ZIP files in this classpath are included in the <code>WEB-INF/lib</code> directory. Any directories in this classpath are included in
 the <code>WEB-INF/classes</code> directory.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The classpath. Returns an empty collection when there is no classpath to include in the WAR.</dd></dl>
</li>
</ul>
<a name="setClasspath(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClasspath</h4>
<pre>public&nbsp;void&nbsp;setClasspath(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</pre>
<div class="block">Sets the classpath to include in the WAR archive.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>classpath</code> - The classpath. Must not be null.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setClasspath(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClasspath</h4>
<pre>public&nbsp;void&nbsp;setClasspath(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;classpath)</pre>
<div class="block">Sets the classpath to include in the WAR archive.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>classpath</code> - The classpath. Must not be null.</dd></dl>
</li>
</ul>
<a name="classpath(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>classpath</h4>
<pre>public&nbsp;void&nbsp;classpath(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;classpath)</pre>
<div class="block">Adds files to the classpath to include in the WAR archive.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>classpath</code> - The files to add. These are evaluated as per <a href="../../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a></dd></dl>
</li>
</ul>
<a name="getWebXml()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWebXml</h4>
<pre><a href="../../../../../org/gradle/api/tasks/InputFile.html" title="annotation in org.gradle.api.tasks">@InputFile</a>
<a href="../../../../../org/gradle/api/tasks/PathSensitive.html" title="annotation in org.gradle.api.tasks">@PathSensitive</a>(<a href="../../../../../org/gradle/api/tasks/PathSensitive.html#value()">value</a>=<a href="../../../../../org/gradle/api/tasks/PathSensitivity.html#NONE">NONE</a>)
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getWebXml()</pre>
<div class="block">Returns the <code>web.xml</code> file to include in the WAR archive. When <code>null</code>, no <code>web.xml</code> file is included in the WAR.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The <code>web.xml</code> file.</dd></dl>
</li>
</ul>
<a name="setWebXml(java.io.File)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setWebXml</h4>
<pre>public&nbsp;void&nbsp;setWebXml(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;webXml)</pre>
<div class="block">Sets the <code>web.xml</code> file to include in the WAR archive. When <code>null</code>, no <code>web.xml</code> file is included in the WAR.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>webXml</code> - The <code>web.xml</code> file. Maybe null.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/bundling/Tar.html" title="class in org.gradle.api.tasks.bundling"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/tasks/bundling/Zip.html" title="class in org.gradle.api.tasks.bundling"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/bundling/War.html" target="_top">Frames</a></li>
<li><a href="War.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
